Package oracle.nosql.driver.values

## Enum FieldValue.Type

- java.lang.Object
- - java.lang.Enum<FieldValue.Type>
  - - oracle.nosql.driver.values.FieldValue.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<FieldValue.Type>`
  Enclosing class:
    FieldValue

      public static enum FieldValue.Type
      extends Enum<FieldValue.Type>

  The type of a field. These types correspond to the fundamental Oracle NoSQL Database types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ARRAY` | An array of FieldValue instances
    `BINARY` | A binary value
    `BOOLEAN` | A boolean value
    `DOUBLE` | A double value
    `INTEGER` | An integer value
    `JSON_NULL` | A JSON null value
    `LONG` | A long value
    `MAP` | A map of FieldValue instances
    `NULL` | A null value, used only by index keys
    `NUMBER` | A number value
    `STRING` | A string value
    `TIMESTAMP` | A timestamp

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FieldValue.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FieldValue.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final FieldValue.Type ARRAY

      An array of FieldValue instances

    - #### BINARY

          public static final FieldValue.Type BINARY

      A binary value

    - #### BOOLEAN

          public static final FieldValue.Type BOOLEAN

      A boolean value

    - #### DOUBLE

          public static final FieldValue.Type DOUBLE

      A double value

    - #### INTEGER

          public static final FieldValue.Type INTEGER

      An integer value

    - #### LONG

          public static final FieldValue.Type LONG

      A long value

    - #### MAP

          public static final FieldValue.Type MAP

      A map of FieldValue instances

    - #### STRING

          public static final FieldValue.Type STRING

      A string value

    - #### TIMESTAMP

          public static final FieldValue.Type TIMESTAMP

      A timestamp

    - #### NUMBER

          public static final FieldValue.Type NUMBER

      A number value

    - #### JSON_NULL

          public static final FieldValue.Type JSON_NULL

      A JSON null value

    - #### NULL

          public static final FieldValue.Type NULL

      A null value, used only by index keys

  - ### Method Detail

    - #### values

          public static FieldValue.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldValue.Type c : FieldValue.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldValue.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null